//垂直滚动
var gundong = function(options){
    var itvl=false;    
    var settings={
        wait   :4000, //滚动间隔 默认4秒
        speed  :500, //滚动过程时间 500ms
        tag    :"li", //滚动的元素 可以设置为 ul li 等你需要的tag
        num    :1     //每次滚动的量 默认为一个    
    }        
    var _this=$(this);    
    if(options) $.extend(settings,options);    
    var sht=_this.find(settings.tag).eq(0).css("height"); //取得滚动元素高度
    sht=parseInt(sht)*settings.num;   //取得每次要滚动的高度    
    var ani=function(){ //滚动函数
        _this.animate({
            top:-sht+"px"
        },settings.speed,function(){       
            for( i=0; i<settings.num; i++){ //形成循环DOM操作
                _this.find(settings.tag).eq(0).appendTo(_this);
            }
            _this.css({
                "top":0
            }); //滚动完毕 将 top 重置为 0
        });
    }        
    itvl=setInterval(ani,settings.wait); //设置周期
}

//文字复制
copyText = function(str){
    if(browerKernel.isIE()){
        clipboardData.setData('Text', str);
        alert("站点链接已经复制到你的粘贴板中\n您可使用CTRL+V粘贴");
    }else{
        prompt("您的浏览器不支持自动复制,请按CTRL+C手动复制:", str);
    }
};

$(document).ready(function(){
    //文本输入区域文字清除
    $(".w-info textarea").focus(function(){
        $(this).empty();
    });
    $(".link-int").click(function(){
        var str = $(this).val();
        copyText(str);
    });
    
    //设置超时执行函数
    setInterval(function(){        
        //这个是向下滚动
        /*
        //获取元素组的最后一个元素
        var select = ".w-sl ul.dat-list li:last";
        var liClone = $(select).clone();
        $(select).remove();
        liClone.prependTo($("ul.dat-list")).hide().slideDown("2000");
        */
        //这个是向上滚动
        var liClone;
        var select = $(".w-sl ul.dat-list li:first");
        liClone = select.clone();
        select.slideUp("500", function(){
            select.remove();
        });
        liClone.appendTo($("ul.dat-list"));
        
    }, 3000);
})


function checkform(){
	if(document.form1.title.value.length==0 || document.form1.title.value.length>8)
	  {
		alert("请输入站点名称，如抓址网，控制在八字以内！");
		document.form1.title.focus();
		return false;
	}  
	if(document.form1.url.value=="" || document.form1.url.value=="http://www.") 
	   {
	   alert("请输入网站地址！");
	   document.form1.url.focus();
	   return false;
	}
	reg=/^\b((https|http)?:\/\/[-a-z0-9]+(\.[-a-z0-9]+)*\.(?:com|edu|gov|int|mil|net|org|biz|info|name|museum|coop|aero|[a-z][a-z]|((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]\d)|\d))\b(\/[-a-z0-9_:\@&?=+,.!\/~%\$]*)?)$/i;
	if(reg.test(document.form1.url.value)){
	}else{
	   alert("请输入正确的网站地址！");
	   document.form1.url.focus();
	   return false;
	}
	if(document.form1.email.value=="")
	   {
	   alert("联系方式不能为空！");
	   document.form1.email.focus();
	   return false;
	}
	if(document.form1.leibie.value=="")
	   {
	   alert("请选择网址分类！");
	   document.form1.leibie.focus();
	   return false;
	}
	if(document.form1.mofei.value=="")
	   {
	   alert("请输入验证码！");
	   document.form1.mofei.focus();
	   return false;
	}   
   return true;
}
